Package jakarta.security.auth.message.callback

# Class TrustStoreCallback

java.lang.Object
jakarta.security.auth.message.callback.TrustStoreCallback

All Implemented Interfaces:
  `Callback`

public class TrustStoreCallback extends Object implements Callback
A Callback enabling an authentication module to request a truststore from the runtime.

## Constructor Summary

Constructors
Constructor
Description
`TrustStoreCallback()`

## Method Summary

Modifier and Type
Method
Description
`KeyStore`
`getTrustStore()`
`void`
`setTrustStore(KeyStore trustStore)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrustStoreCallback

public TrustStoreCallback()

## Method Details

### setTrustStore

public void setTrustStore(KeyStore trustStore)

### getTrustStore

public KeyStore getTrustStore()